#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator.SetSeed(0)

try:
    distribution = Dirichlet(NumericalPoint([0.2, 0.3, 0.4, 0.5]))
    size = 10000
    sample = distribution.getSample(size)
    factory = DirichletFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)
    estimatedDistribution = factory.build()
    print "Default distribution=", estimatedDistribution
    estimatedDirichlet = factory.buildAsDirichlet(sample)
    print "Dirichlet          =", distribution
    print "Estimated dirichlet=", estimatedDirichlet
    estimatedDirichlet = factory.buildAsDirichlet()
    print "Default dirichlet=", estimatedDirichlet

except:
    import sys
    print "t_DirichletFactory_std.py", sys.exc_type, sys.exc_value
